require 'rspec'
require File.dirname(__FILE__) + '/../lib/WxAlert'
require File.dirname(__FILE__) + '/../lib/WxAlert/alertsindex'
require File.dirname(__FILE__) + '/../lib/WxAlert/alert'

RSpec.describe WxAlert::Alert do

  DUMMY_ALERT = {"id"=>
                     "http://alerts.weather.gov/cap/wwacapget.php?x=CO12539BB8CA94.AvalancheWarning.12539BC82250CO.BOUAVWBOU.cf62c5133528f8d52745d22793a02545",
                 "updated"=>"2015-03-04T09:45:00-07:00",
                 "published"=>"2015-03-04T09:45:00-07:00",
                 "author"=>{"name"=>"w-nws.webmaster@noaa.gov"},
                 "title"=>"Avalanche Warning issued March 04 at 9:45AM MST by NWS",
                 "link"=>
                     {"href"=>
                          "http://alerts.weather.gov/cap/wwacapget.php?x=CO12539BB8CA94.AvalancheWarning.12539BC82250CO.BOUAVWBOU.cf62c5133528f8d52745d22793a02545"},
                 "summary"=>
                     "THE FOLLOWING MESSAGE IS TRANSMITTED AT THE REQUEST OF THE COLORADO AVALANCHE INFORMATION CENTER. ...AVALANCHE WARNING IN EFFECT FOR THE ASPEN, GUNNISON, AND GRAND MESA ZONES OF CENTRAL COLORADO... ...WARNING TERMINATION FOR THE STEAMBOAT AND FLAT TOPS, AND THE NORTH AND SOUTH SAN JUAN ZONES...",
                 "event"=>"Avalanche Warning",
                 "effective"=>"2015-03-04T09:45:00-07:00",
                 "expires"=>"2015-03-05T10:00:00-07:00",
                 "status"=>"Actual",
                 "msgType"=>"Alert",
                 "category"=>"Met",
                 "urgency"=>"Unknown",
                 "severity"=>"Unknown",
                 "certainty"=>"Unknown",
                 "areaDesc"=>
                     "Eastern San Juan Mountains Above 10000 Ft; Elkhead and Park Mountains; Flattops; Gore and Elk Mountains, Central Mountain Valleys; Grand and Battlement Mesas; La Garita Mountains Above 10000 Ft; Northwestern San Juan Mountains; Southwest San Juan Mountains; Uncompahgre Plateu, Dallas Divide; West Elk and Sawatch Mountains; West Jackson and West Grand Counties Above 9000 Feet",
                 "polygon"=>nil,
                 "geocode"=>
                     {"valueName"=>["FIPS6", "UGC"],
                      "value"=>
                          ["008007 008021 008029 008033 008037 008045 008049 008051 008053 008057 008067 008077 008079 008081 008083 008085 008091 008097 008103 008105 008107 008109 008111 008113",
                           "COZ004 COZ009 COZ010 COZ012 COZ013 COZ017 COZ018 COZ019 COZ031 COZ066 COZ068"]},
                 "parameter"=>{"valueName"=>"VTEC", "value"=>nil}}

  describe '#new' do
    context 'trying to create a new Alert' do
      before do
        @alert = WxAlert::Alert.new(DUMMY_ALERT)
      end

      it 'contains a hash' do
        expect(@alert.alert).to be_a Hash
      end
    end
  end
end