require 'rspec'
require File.dirname(__FILE__) + '/../lib/WxAlert'
require File.dirname(__FILE__) + '/../lib/WxAlert/alertsindex'
# require 'spec_helper'

RSpec.describe WxAlert::AlertsIndex do

  describe '#new and .update' do
    context 'trying to retrieve an invalid code' do
      before(:all) do
        @alert_index = WxAlert::AlertsIndex.new('invalid')
        @alert_index.update
      end

      subject { @alert_index }

      it 'has an array with an "error" element' do
        expect(@alert_index.index).to eq(['Error'])
      end

      it { expect(@alert_index.no_alerts?).to be true }

      it 'has fixed set to false' do
        expect(@alert_index.fixed).to be false
      end

      # it 'has fixed set to false' do
      #   expect(@alert_index.fixed).to be false
      # end
      #
      # it 'has filtered set to false' do
      #   expect(@alert_index.filtered).to be false
      # end
    end

    context 'trying to retrieve all alerts' do
      before do
        @alert_index = WxAlert::AlertsIndex.new('us')
        @alert_index.update
      end

      it 'has a non-empty array' do
        expect(@alert_index.index.length).to be > 0
      end

      it { expect(@alert_index.no_alerts?).to be false }
    end
  end
end